Skip to main content
GET
/
deals
List deals
curl --request GET \
  --url https://api.heffl.com/api/v1/deals \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "title": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "number": "<string>",
      "price": 123,
      "status": "<string>",
      "priority": "<string>",
      "expectedCloseDate": "2023-11-07T05:31:56Z",
      "clientId": "<string>",
      "pipelineId": "<string>",
      "stageId": "<string>",
      "sourceId": "<string>",
      "leadId": "<string>",
      "customFields": {}
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get yours at app.heffl.com/settings/developers

Query Parameters

cursor
string

Cursor for pagination. Pass the previous response nextCursor value to fetch the next page.

limit
number
default:20

Number of items to return (max 100)

Required range: 1 <= x <= 100

Search by deal title

pipelineId
string

Filter by pipeline public ID

stageId
string

Filter by stage public ID

status
enum<string>

Filter by deal status (ACTIVE, WON, LOST)

Available options:
ACTIVE,
WON,
LOST

Response

200 - application/json

OK

items
object[]
required
hasMore
boolean
required

Whether additional results are available

nextCursor
string | null

Cursor to fetch the next page. Null if there are no more results.